moFieldinfosConfig = {};

function moFieldinfosConfig:onStartMission()
	moFieldinfos:load();
end;

function moFieldinfosConfig:defaultValues()
	moFieldinfos.values = {fields={}, sortBy=2, sortByName={}, sortByOrginalName={}, status={weedsEnabled=false,plowingEnabled=false,limeEnabled=false,witheringEnabled=false}, updateTimer=20, msec=false};	
	moFieldinfos.values.sortByName[1] = moLanguageXml:getTxt("fruittype", nil, "Fruittype");
	moFieldinfos.values.sortByOrginalName[1] = "fruitname";
	moFieldinfos.values.sortByName[2] = moLanguageXml:getTxt("field", nil, "Field");
	moFieldinfos.values.sortByOrginalName[2] = "field";
	--moFieldinfos.values.sortByName[3] = moLanguageXml:getTxt("harvest", nil, "Harvest");
	--moFieldinfos.values.sortByOrginalName[3] = "harvest";
	moFieldinfos.values.sortByName[3] = moLanguageXml:getTxt("growth", nil, "Growth");
	moFieldinfos.values.sortByOrginalName[3] = "growth";
	moFieldinfos.values.sortByName[4] = moLanguageXml:getTxt("sprayed", nil, "Sprayed");
	moFieldinfos.values.sortByOrginalName[4] = "sprayed";
	if g_currentMission.missionInfo.limeRequired then
		moFieldinfos.values.status.limeEnabled = true;
		moFieldinfos.values.sortByName[#moFieldinfos.values.sortByName+1] = moLanguageXml:getTxt("lime", nil, "Lime");
		moFieldinfos.values.sortByOrginalName[#moFieldinfos.values.sortByOrginalName+1] = "lime";
	end;
	if g_currentMission.missionInfo.plowingRequiredEnabled then
		moFieldinfos.values.status.plowingEnabled = true;
		moFieldinfos.values.sortByName[#moFieldinfos.values.sortByName+1] = moLanguageXml:getTxt("plowing", nil, "Plowing");
		moFieldinfos.values.sortByOrginalName[#moFieldinfos.values.sortByOrginalName+1] = "plowing";
	end;
	if g_currentMission.missionInfo.weedsEnabled then
		moFieldinfos.values.status.weedsEnabled = true;
		moFieldinfos.values.sortByName[#moFieldinfos.values.sortByName+1] = moLanguageXml:getTxt("weeds", nil, "Weeds");
		moFieldinfos.values.sortByOrginalName[#moFieldinfos.values.sortByOrginalName+1] = "weeds";
	end;
	if g_currentMission.missionInfo.isPlantWitheringEnabled then moFieldinfos.values.status.witheringEnabled = true;end;
	moFieldinfos.values.sortByName[#moFieldinfos.values.sortByName+1] = moLanguageXml:getTxt("hectar", nil, "Hectar");
	moFieldinfos.values.sortByOrginalName[#moFieldinfos.values.sortByOrginalName+1] = "hectar";
end;

function moFieldinfosConfig:loadXml(self, Xml, xmlNameTag, file, isSaveGameIndex)
	if moFieldinfos.values == nil then moFieldinfosConfig:defaultValues();end;
	local groupNameTag = (xmlNameTag.. ".module.fieldinfos(%d)"):format(0);
	if getXMLBool(Xml, groupNameTag.. "#mSecTimer") ~= nil then
		--moFieldinfos.values.msec = getXMLBool(Xml, groupNameTag.. "#mSecTimer");
	end;
	if getXMLInt(Xml, groupNameTag.. "#updateTimer") then
		--moFieldinfos.values.updateTimer = getXMLInt(Xml, groupNameTag.. "#updateTimer");
	end;	
end;

function moFieldinfosConfig:saveXml(self, Xml, xmlNameTag)
	if moFieldinfos.values == nil then moFieldinfosConfig:defaultValues();end;
	----------------------------------------------------------------------------------------------
	local groupNameTag = (xmlNameTag.. ".module.fieldinfos(%d)"):format(0);
	--setXMLInt(Xml, groupNameTag.. "#updateTimer", moFieldinfos.values.updateTimer);
	--setXMLBool(Xml, groupNameTag.. "#mSecTimer", moFieldinfos.values.msec);
	----------------------------------------------------------------------------------------------	
end;

function moFieldinfosConfig.onSaveCallback()
	moSetGetClientSettings:saveConfig(self);
end;